#ifndef _STATUSICONSOVERLAY_H_
#define _STATUSICONSOVERLAY_H_
#include <Arduino.h>
#include <OLEDUIPlus.h>

typedef struct {
    uint8_t blink; // priznak, ze ma ikona blikat
    uint8_t xPos; // pozice X na obrazovce, 0xff = automaticka pozice ve stavovem radku
    uint8_t yPos; // pozice Y na obrazovce
    uint8_t xSize; // rozmer v ose X
    uint8_t ySize; // rozmer v ose Y
    const uint8_t *xbmData; // ukazatel na data ikony
} statusIcon_t;

class StatusIcons {
public:
    StatusIcons();
    void add(const statusIcon_t *ptr);
    void remove(const statusIcon_t *ptr);
    void addVisibleFrameId(uint8_t id);
};

void SIdraw(OLEDDisplay *display, OLEDDisplayUiState *state);

extern StatusIcons si;

#endif
